NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder Class Reference

Reduce Surface Radius Builder of Geometric Utilities. More...

Inheritance diagram for NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  FaceSelectionSpecification { Radius, Chain, Select }
 Specify the face selection type. More...
 
enum  ReducedFaceTypeSpecification { FaceGroup, SingleChainInGroup, SingleChain }
 Specify three ways to do preview. More...
 
enum  ReduceValueTypeSpecification { Percentage, Value, Delta }
 Specify the reduction method. More...
 

Properties

unsafe bool Direction [get, set]
 Returns or sets the direction which specifies concave face respect to the body face normal More...
 
unsafe
NXOpen.GeometricUtilities.ReduceSurfaceRadiusFaceGroupBuilderList 
FaceGroupList [get]
 Returns the list containing the face chains as input objects used to do reduction. More...
 
unsafe double HighRadius [get, set]
 Returns or sets the high radius which specifies lower limit to filter out all qualified faces More...
 
unsafe int IndexListItem [get, set]
 Returns or sets the index of list item More...
 
unsafe double LowRadius [get, set]
 Returns or sets the low radius which specifies lower limit to filter out all qualified faces More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
OnPathDimEnd [get]
 Returns the end position of reduced sheet body More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
OnPathDimStart [get]
 Returns the start position of reduced sheet body More...
 
unsafe double PercentReduction [get, set]
 Returns or sets the value of percentage reduction method More...
 
unsafe double PositionTolerance [get, set]
 Returns or sets the position tolerance between two faces connection More...
 
unsafe
NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.ReducedFaceTypeSpecification 
ReducedFaceType [get, set]
 Returns or sets the type of performing the radius reduction preview More...
 
unsafe
NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.ReduceValueTypeSpecification 
ReduceValueType [get, set]
 Returns or sets the type of reduced value which results surface shape More...
 
unsafe NXOpen.ScCollector SelectChain [get]
 Returns the selected entities for performing the radius reduction operation, which selected by "Select Faces by Chain" and "Single Selection" More...
 
unsafe NXOpen.ScCollector SelectFace [get]
 Returns the selected entities for performing the radius reduction operation, which selected by "Select Faces by Radius" More...
 
unsafe double TangentTolerance [get, set]
 Returns or sets the tangent tolerance between two faces connection More...
 
unsafe double TargetReduction [get, set]
 Returns or sets the target value method More...
 
unsafe double ValueReduction [get, set]
 Returns or sets the value of reduction value method More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Reduce Surface Radius Builder of Geometric Utilities.

This builder's Commit can produce more than one object, the GetCommittedObjects can be used to get the objects.

To create a new instance of this class, use NXOpen.GeometricUtilities.CAMDataPrepManager.CreateReduceSurfaceRadiusBuilder

Default values.

Property Value

HighRadius

10.0 (millimeters part), 0.4 (inches part)

LowRadius

0.5 (millimeters part), 0.02 (inches part)

PercentReduction

100

ReduceValueType

Percentage

TargetReduction

0

ValueReduction

0.1

Created in NX9.0.0

Member Enumeration Documentation

Specify the face selection type.

There are three types: Select Faces by Radius, Select Faces by Chain and Single Selection.

Enumerator
Radius 
Chain 
Select 

Specify three ways to do preview.

FaceGroup: Preview all list items. SingleChainInGroup: Preview selected list item. SingleChain: Preview face chain which is selected by "Select Faces by Chain" and "Single Face"

Enumerator
FaceGroup 

Preview all items in face group list when using "Select Faces by Radius" to select input objects.

SingleChainInGroup 

Preview single item in face group list when using "Select Faces by Radius" to select input objects.

SingleChain 

Preview single chain when using "Select Faces by Chain" and "Single Selection" to select input objects.

Specify the reduction method.

There are three types: percentage reduction, reduction value and target value.

Enumerator
Percentage 
Value 
Delta 

Property Documentation

unsafe bool NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.Direction
getset

Returns or sets the direction which specifies concave face respect to the body face normal

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.GeometricUtilities.ReduceSurfaceRadiusFaceGroupBuilderList NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.FaceGroupList
get

Returns the list containing the face chains as input objects used to do reduction.

Created in NX9.0.0

License requirements: None.

unsafe double NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.HighRadius
getset

Returns or sets the high radius which specifies lower limit to filter out all qualified faces

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe int NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.IndexListItem
getset

Returns or sets the index of list item

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.LowRadius
getset

Returns or sets the low radius which specifies lower limit to filter out all qualified faces

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.OnPathDimEnd
get

Returns the end position of reduced sheet body

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.OnPathDimStart
get

Returns the start position of reduced sheet body

Created in NX9.0.0

License requirements: None.

unsafe double NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.PercentReduction
getset

Returns or sets the value of percentage reduction method

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.PositionTolerance
getset

Returns or sets the position tolerance between two faces connection

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.ReducedFaceTypeSpecification NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.ReducedFaceType
getset

Returns or sets the type of performing the radius reduction preview

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.ReduceValueTypeSpecification NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.ReduceValueType
getset

Returns or sets the type of reduced value which results surface shape

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.SelectChain
get

Returns the selected entities for performing the radius reduction operation, which selected by "Select Faces by Chain" and "Single Selection"

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.SelectFace
get

Returns the selected entities for performing the radius reduction operation, which selected by "Select Faces by Radius"

Created in NX9.0.0

License requirements: None.

unsafe double NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.TangentTolerance
getset

Returns or sets the tangent tolerance between two faces connection

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.TargetReduction
getset

Returns or sets the target value method

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.GeometricUtilities.ReduceSurfaceRadiusBuilder.ValueReduction
getset

Returns or sets the value of reduction value method

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.